Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QPaintEngine.Type

    java.lang.Object
      java.lang.Enum<QPaintEngine.Type>
          com.trolltech.qt.gui.QPaintEngine.Type

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QPaintEngine.Type>

Enclosing class:
  QPaintEngine

    public static enum QPaintEngine.Type

extends java.lang.Enum<QPaintEngine.Type>
implements QtEnumerator

Press link for info on QPaintEngine.Type

Enum Constant Summary
`CoreGraphics` Mac OS X's Quartz2D (`CoreGraphics`)
`Direct3D` Windows only, `Direct3D` based engine
`MacPrinter` Internal.
`MaxUser` Last user type ID
`OpenGL` Internal.
`Picture` `QPicture` format
`PostScript` Internal.
`QuickDraw` Mac OS X's `QuickDraw`
`QWindowSystem` Qtopia Core
`Raster` Internal.
`SVG` Scalable Vector Graphics XML format
`User` First user type ID
`Windows` Internal.
`X11` Internal.

Method Summary
`static QPaintEngine.Type` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPaintEngine.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QPaintEngine.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### X11

    public static final QPaintEngine.Type X11

  Internal.

### Windows

    public static final QPaintEngine.Type Windows

  Internal.

### QuickDraw

    public static final QPaintEngine.Type QuickDraw

  Mac OS X's `QuickDraw`

### CoreGraphics

    public static final QPaintEngine.Type CoreGraphics

  Mac OS X's Quartz2D (`CoreGraphics`)

### MacPrinter

    public static final QPaintEngine.Type MacPrinter

  Internal.

### QWindowSystem

    public static final QPaintEngine.Type QWindowSystem

  Qtopia Core

### PostScript

    public static final QPaintEngine.Type PostScript

  Internal.

### OpenGL

    public static final QPaintEngine.Type OpenGL

  Internal.

### Picture

    public static final QPaintEngine.Type Picture

  `QPicture` format

### SVG

    public static final QPaintEngine.Type SVG

  Scalable Vector Graphics XML format

### Raster

    public static final QPaintEngine.Type Raster

  Internal.

### Direct3D

    public static final QPaintEngine.Type Direct3D

  Windows only, `Direct3D` based engine

### User

    public static final QPaintEngine.Type User

  First user type ID

### MaxUser

    public static final QPaintEngine.Type MaxUser

  Last user type ID

Method Detail

### values

    public static final QPaintEngine.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QPaintEngine.Type c : QPaintEngine.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QPaintEngine.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPaintEngine.Type resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD